import { Translations } from 'ooth-i18n';
import { Ooth } from 'ooth';
declare type Urls = {
    [name: string]: string;
};
declare type Options = {
    name?: string;
    ooth: Ooth;
    from: string;
    siteName: string;
    sendMail: (args: {
        from: string;
        to: string;
        subject: string;
        body: string;
        html: string;
    }) => Promise<void>;
    translations?: Translations;
    urls?: Urls;
    defaultLanguage?: string;
};
export default function ({ name, ooth, from, siteName, sendMail, translations, urls, defaultLanguage, }: Options): void;
export {};
